Application: gvSIG desktop - gvSIG bugs #4097
La leyenda de densidad de puntos se carga tan lenta que la hace inoperativa
02/08/2016 03:02 PM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Daniel Martinez

Category: Symbology

Target version: 2.3.0-2423 (rev. org.gvsig.deskiop-2.0.129)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2421 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Tomar la capa Natural Earth de paises (adjunta), y hacer leyenda por campo POP_EST, tamano 3, y valor 1.000.000
La visualizacién tarda minutos y hace inviable usar esta leyenda.Siempre ha ido lenta en la 2.x pero lo de ahora es inoperativo.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4073: No funciona la ley... Closed 02/01/2016

Associated revisions

Revision 824 - 02/12/2016 02:00 PM - Daniel Martinez

refs #4097 Se evita el uso del método "contains(x,y)" que por cada punto hace internamente una conversién a Shape que ralentizaba el dibujado.

History

#1 - 02/08/2016 03:02 PM - Alvaro Anguix
- Related to gvSIG bugs #4073: No funciona la leyenda de densidad de puntos added

#2 - 02/10/2016 01:20 PM - Daniel Martinez

- Priority changed from Normal to Low

#3 - 02/12/2016 08:27 AM - Daniel Martinez
- Status changed from New to In progress

#4 - 02/12/2016 02:04 PM - Daniel Martinez

Se evita el uso del método "contains(x,y)" que por cada punto hace internamente una conversién a Shape que ralentizaba el dibujado.
Antes:

WARN [MapControl Drawer Worker] (FLyrVect.java:260) - Draw started

WARN [MapControl Drawer Worker] (FLyrVect.java:327) - Tiempo de dibujo ha sido 4415671

Ahora:

WARN [MapControl Drawer Worker] (FLyrVect.java:260) - Draw started
WARN [MapControl Drawer Worker] (FLyrVect.java:327) - Tiempo de dibujo ha sido 39132
#5 - 02/15/2016 01:34 PM - Alvaro Anguix

- Status changed from In progress to Closed

En la 2422 funciona correctamente

#6 - 02/16/2016 09:06 AM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2423 (rev. org.gvsig.desktop-2.0.129)

Files

ne_10m_admin_0_countries.dbf 341 KB 02/08/2016 Alvaro Anguix
ne_10m_admin_0_countries.shx 2.25 KB 02/08/2016 Alvaro Anguix
ne_10m_admin_0_countries.shp 8.4 MB 02/08/2016 Alvaro Anguix
